html {
    cursor: none;
}

.cursor-large {
    --size: 20px;
    border: 2px solid var(--color);
}

.cursor-small {
    --size: 15px;
    background: var(--color);
    transform: translate(-50%, -50%);
}

.cursor-small > span {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
}

.cursor {
    --color: var(--c-secondary-color);
    width: var(--size);
    height: var(--size);
    border-radius: 50%;
    position: absolute;
    left: 0;
    top: 0;
    pointer-events: none;
    z-index: 2000;
    /* mix-blend-mode: difference;   */
    /* transform: translate(-50%, -50%); */
}